div#ml_onfly_chat_box {
    position: fixed;
    bottom: 0px;
    left: 20px;
    background: #fff;
    width: 300px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
	box-shadow: 0px -3px 12px -7px #333;
}
div#ml_onfly_chat_box .inner {
    display: none;
    padding: 10px;
	height: 300px;
    position: relative;
}
div#ml_onfly_chat_box h4#onfly_chat_header {
    margin: 0;
    padding: 10px 15px;
	cursor: pointer;
	text-shadow: none;
	color: #333;
}
div#ml_onfly_chat_box h4#onfly_chat_header:hover {
	color: blue;
}
h4#onfly_chat_header:before {
    content: "\f125";
    font-family: 'dashicons';
    margin-right: 15px;
    vertical-align: middle;
    line-height: 1;
    font-weight: normal;
    font-size: 25px;
    width: 25px;
    height: 25px;
    color: #333;
}
h4#onfly_chat_header:after {
    content: "\f142";
    font-family: 'dashicons';
    position: absolute;
    right: 15px;
    top: 10px;
}
h4#onfly_chat_header.visible:after {
	content: "\f140";
}
div#ml_onfly_chat_box .inner span#button_container {
    display: inline-block;
    width: 50px;
}
div#ml_onfly_chat_box .inner span#button_container button {
	width: 100%;
}
div#ml_onfly_chat_box .inner span#button_container button#end_chat_message {
    padding: 6px 8px;
    font-weight: bold;
    text-shadow: 0px 1px 0px #000;
    margin-bottom: 5px;
    background-color: red;
	height: auto !important;
    border: 0;
    color: #fff;
	font-size: 13px;
}
div#ml_onfly_chat_box .inner textarea#message_body {
    display: inline-block;
    width: 223px;
    margin: 0 7px 0 0;
    vertical-align: bottom;
    border: 1px solid #bbb;
    height: 62px;
    resize: none;
    font-size: 1.1em;
    padding: 5px 8px;
    box-sizing: border-box;
}
div#ml_onfly_chat_box .inner section#footer button#send_chat_message {
    padding: 6px 8px;
	font-weight: bold;
	text-shadow: 0px 1px 0px #000;
	height: auto !important;
    border: 0;
    color: #fff;
	font-size: 13px;
}
div#ml_onfly_chat_box.private_member div.inner section#header {
    position: absolute;
    bottom: 270px;
    left: 10px;
    right: 10px;
    top: 10px;
    box-sizing: border-box;
}
div#ml_onfly_chat_box div.inner section#body {
    position: absolute;
    bottom: 83px;
    left: 10px;
    right: 10px;
    top: 10px;
    background: #eee;
    box-sizing: border-box;
    box-shadow: 0px 0px 7px -4px #555 inset;
	overflow-y: auto;
}
div#ml_onfly_chat_box.private_member div.inner section#body {
	top: 40px;
}
div#ml_onfly_chat_box div.inner section#footer {
    position: absolute;
    bottom: 10px;
    height: 63px;
}
div#ml_onfly_chat_box div.inner section#header span#online_title {
    font-weight: bold;
    font-size: 0.9em;
    line-height: 1;
	vertical-align: middle;
	color: #333;
    text-shadow: none;
}
div#ml_onfly_chat_box div.inner section#header ul#online_list {
    margin: 0;
    vertical-align: middle;
    display: inline;
    padding: 0;
	overflow-x: auto;
}
div#ml_onfly_chat_box div.inner section#header ul#online_list li {
    display: inline;
    color: #555;
    text-shadow: none;
    font-size: 15px;
    padding: 5px;
    cursor: pointer;
    transition: all 0.3s;
}
div#ml_onfly_chat_box div.inner section#header ul#online_list li:hover, div#ml_onfly_chat_box div.inner section#header ul#online_list li.selected {
	color: #000;
}
div#ml_onfly_chat_box div.inner section#header ul#online_list li:before {
    content: '•';
    color: red;
    margin-right: 3px;
}
div#ml_onfly_chat_box div.inner section#body p {
    padding: 5px 8px;
    font-size: 14px;
	color: #333;
    text-shadow: none;
	text-align: left;
	box-sizing: border-box;
	border-bottom: 1px dashed #bbb;
	margin: 0;
}
div#ml_onfly_chat_box div.inner section#body p span {
    display: block;
}
div#ml_onfly_chat_box div.inner section#body p.guest {
	text-align: right;
}
div#ml_onfly_chat_box div.inner section#body p span.date {
    font-weight: bold;
    font-size: 0.9em;
}
div#ml_onfly_chat_box div.inner section#body p.guest span.message {
	margin-left: 30%;
	width: 70%;
}
div#ml_onfly_chat_box div.inner section#body p.host.private_member span.message {
	text-align: left;
	width: 70%;
}